<?php
/**
 * The template for displaying archive pages
 *
 * @since Jenny 1.0
 */

get_header(); ?>

<?php
/**
 * Jenny Layout Options
 */
$jenny_site_layout    =   get_theme_mod( 'jenny_layout_options_setting', 'right-sidebar' );
$jenny_layout_class   =   'col-lg-12 col-md-12 col-sm-12';

if( $jenny_site_layout === 'right-sidebar' && is_active_sidebar( 'sidebar-primary' ) ) :
	$jenny_layout_class = 'col-lg-8 col-md-8 col-sm-12';
elseif( $jenny_site_layout === 'left-sidebar' && is_active_sidebar( 'sidebar-primary' ) ) :
	$jenny_layout_class = 'col-lg-8 col-md-8 col-sm-12 order-md-2';
elseif( $jenny_site_layout === 'no-sidebar' || !is_active_sidebar( 'sidebar-primary' ) ) :
	$jenny_layout_class = 'col-lg-12 col-md-12 col-sm-12';
endif;

?>

<div id="primary" class="content-area row">
	<main id="main" class="site-main <?php echo esc_attr($jenny_layout_class); ?>" role="main">

		<?php
		if( have_posts() ) : ?>

			<header class="page-header">
				<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="taxonomy-description">', '</div>' )
				?>
			</header><!-- .page-header -->

			<?php
			// Start the loop
			while( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', get_post_format() );

				// End the loop
			endwhile;

			jenny_page_navigation();

		else :
		get_template_part( 'template-parts/content', 'none' );
		?>
		<?php endif; ?><!-- have_post() -->

	</main><!-- .site-main -->
	<?php get_sidebar(); ?>
</div><!-- content-area -->

<?php get_footer(); ?>
